Learn more about the different environments available.
Sandbox
The sandbox environment allows you to test your integration with the Payouts API. It simulates API requests and transaction types, so you can validate your implementation before going live.
Sandbox base URL
Sandbox transactions are simulated and not actually processed.
Simulate payout statuses in sandbox
In Sandbox, you can control the payout result by passing a status code in the request body's description field.
- Input. Set the desired mock scenario using the
descriptionfield in your payout request. - Output. The mock server responds with the mapped
status,status_code, andstatus_detail.
Example
- Successful payout. If you provide
description: DELIVERED:PAIDin the request, you'll subsequently receive a notification withstatus: PAID,status_code: 200, andstatus_detail: The payout was paid. - Fail payout. If you provide
description: DELIVERED:3000, you'll subsequently receive a notification withstatus: BAD_REQUEST,status_code: 3000, andstatus_detail: Invalid params.
{
"external_id": "your_external_id",
"payment_method_id": "INSTANT_PAYMENT",
"flow_type": "B2C",
"country": "BR",
"currency": "BRL",
"purpose": "DIGITAL_GOODS",
"amount": 129.19,
"notification_url": "https://yoururl.com/notification",
"beneficiary": {
"first_name": "John",
"last_name": "Doe",
"document": {
"id": "39446691001"
},
"instant_payment": {
"id": "39446691001"
}
},
"description": "DELIVERED:3000"
}
Sample description values to simulate responses
description (input) | Simulated status (output) | status_code (output) | status_detail (output) |
|---|---|---|---|
DELIVERED:3000 | BAD_REQUEST | 3000 | Invalid params |
DELIVERED:PAID | PAID | 200 | The payout was paid |
Production
After successful testing, you can switch to the production environment.
